Skip to main content
PATCH
/
v1
/
objects
/
{slug}
/
attributes
/
{attr_id}
Update an attribute definition
curl --request PATCH \
  --url https://app.nex.ai/api/developers/v1/objects/{slug}/attributes/{attr_id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Updated Status",
  "options": {
    "is_required": false,
    "select_options": [
      {
        "id": "existing-id",
        "name": "Renamed"
      },
      {
        "name": "New Option"
      }
    ]
  }
}
'
{
  "description": "<string>",
  "id": "<string>",
  "name": "<string>",
  "options": {
    "is_multi_value": true,
    "is_required": true,
    "is_unique": true,
    "is_whole_number": true,
    "select_options": [
      {
        "id": "<string>",
        "name": "<string>"
      }
    ],
    "use_raw_format": true
  },
  "slug": "<string>",
  "type": "<string>"
}

Authorizations

Authorization
string
header
required

API key for authentication (format: "Bearer YOUR_API_KEY")

Path Parameters

slug
string
required

Object slug

attr_id
string
required

Attribute definition ID

Body

application/json

Fields to update

name
string

New display name

description
string

New description

options
object

Response

Updated attribute definition

description
string
id
string
name
string
options
object
slug
string
type
string
Last modified on March 7, 2026